#!/usr/bin/perl

use strict;
use warnings;
use lib 'lib/';

use Data::Dumper;
use DateTime;

use Zones;
use Getopt::Long;
use DateTimeX::Easy;

my $enddate = DateTime->now();
my $startdate = $enddate->clone()->add(months => -2);

my ($startstr, $endstr);
my $dow = 3; # wednesday's by default
my $delay = 10;

my $result = GetOptions ("start=s" => \$startstr,    # numeric
                         "end=s"   => \$endstr,
                         "dow=i"   => \$dow,
                         "delay=i" => \$delay,
                        );     # string

if ($startstr) {
  $startdate = DateTimeX::Easy->new($startstr);
}
if ($endstr) {
  $enddate = DateTimeX::Easy->new($endstr);
}

$startdate->add(days => -$startdate->day_of_week+$dow); # get wednesday of that week

Zones::get_zones($startdate, $enddate, $delay);